#!/usr/bin/ruby

require 'mqttsrvc'

# sample MqttSrvc implementation
class HelloMqttSrvc < MqttSrvc
  def initialize
    super(__dir__)

    publish(@config.topics.pub.first, 'HelloWorld!')
  end

  def mqtt_receive(topic, msg, _msg_hash)
    log_msg = "Received a message on #{topic}: #{msg}"
    logger.debug(log_msg)
    logger.data(log_msg)
    logger.info(log_msg)
    logger.warn(log_msg)
    logger.error(log_msg)
    logger.error_bold(log_msg)
    publish(@config.topics.pub.first, @credentials['api_key'])
  end
end

HelloMqttSrvc.new.run if $PROGRAM_NAME == __FILE__
