require 'yaml'
require 'recursive_open_struct'

class Config
  def self.for(dir:, config_type:, config_extension: 'yml')
    config_file_for_type = config_file(dir, config_type) + '.' + config_extension

    puts "Loading config for environment #{environment} from '#{config_file_for_type}'..."
    RecursiveOpenStruct.new(YAML.load_file(config_file_for_type)[environment])
  end

  def self.config_file(dir, config_type)
    File.expand_path File.join(dir, '..', 'etc', config_type)
  end

  def self.environment
    ENV['ENV'] || 'development'
  end
end
